Bug 137471 - Installer doesn't offer resolutions to match monitor
Installer doesn't offer resolutions to match monitor
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: system-config-display (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
:
: 137473 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-28 14:00 EDT by Jared Burns
Modified: 2008-08-02 19:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-30 11:25:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jared Burns 2004-10-28 14:00:28 EDT
Description of problem:
HP Pavillion zd7260us
17" widescreen display
NVIDIA GeForce FX Go5700

1. During the install, specify the monitor as a generic laptop 
monitor that supports 1680x1050.
2. Click the combo box to select a resolution.
3. There are no appropriate widescreen resolutions available, not 
even 1680x1050 (the one specified in the name of the monitor).

To make matters even worse, if you select 1600x1200 (which I did), 
when the desktop starts up the bottom of the screen (containing all 
the actions necessary to do anything - including logging out!) is not 
visible. To further complicate things, X doesn't scroll the desktop 
if you mouse to the edge of the screen (as I've seen it do when this 
happens in other distros).

These factors make installing FC3Test3 on a widescreen laptop pretty 
messy.
Comment 1 Jared Burns 2004-10-28 14:28:55 EDT
*** Bug 137473 has been marked as a duplicate of this bug. ***
Comment 2 Paul Nasrat 2004-10-28 14:42:14 EDT
Adding UseModes support for non-standard ratios is todo for FC4
lifetime.  

Can you paste the output of running as root

kudzu -p -b ddc 
Comment 3 Jared Burns 2004-10-29 01:27:10 EDT
Widescreen laptops are available pretty much everywhere these days. I 
just walked into a brick and mortar store and bought one. So it's a 
bit of a stretch to call them "non-standard" ratios. I prefer to call 
them "current", "new", or "sweet-assed". :)

Anyway, FC3 is totally unusable on this laptop anyway. No network 
(wireless) support, no video (this crappy resolution problem), and no 
power management. :-/

This seemed like the simplest to fix of the problems. I expected it 
would just require a couple lines of text in a metadata file 
somewhere; figures everything has to be harder than that.

Anywho, here's the "kudzu -p -b ddc" output:

-
class: VIDEO
bus: DDC
detached: 0
driver: unknown
desc: "NVIDIA Corporation NV36 Board - e183n-sw"
mem: 65536
Comment 4 Paul Nasrat 2004-10-29 05:21:21 EDT
Possibly however it's non-standard in terms of the basic X modes used.
Time constraints meant that the additional work for this did not make
FC3, I fully intend to try and release an errata/update as soon as I
can post un-freeze.

I can't comment for your laptops wireless support - I assume it's a
mini-pci  card of the Broadcom chipset which there are no OSS drivers
for, as for power managment it depends on the ACPI implementation of
the laptop - it may be possible to get S3 suspend working but you'll
probably have to use th proprietory NVidia driver.

The panel is unprobable as we only get video card details from DDC.

Can you test the following:

Add this modes section to /etc/X11/xorg.conf

Section "Modes"
        Identifier "16:10"
        # 1280x800 @ 75.00 Hz (GTF) hsync: 62.62 kHz; pclk: 107.21 MHz
        Modeline "1280x800"  107.21  1280 1360 1496 1712  800 801 804 835
        # 1280x800 @ 85.00 Hz (GTF) hsync: 71.40 kHz; pclk: 123.38 MHz
        Modeline "1280x800"  123.38  1280 1368 1504 1728  800 801 804 840
        # 1280x800 @ 100.00 Hz (GTF) hsync: 84.80 kHz; pclk: 147.89 MHz
        Modeline "1280x800"  147.89  1280 1376 1512 1744  800 801 804 848
        # 1680x1050 @ 60.00 Hz (GTF) hsync: 65.22 kHz; pclk: 147.14 MHz
        Modeline "1680x1050"  147.14  1680 1784 1968 2256  1050 1051
1054 1087
        # 1680x1050 @ 75.00 Hz (GTF) hsync: 82.20 kHz; pclk: 188.07 MHz
        Modeline "1680x1050"  188.07  1680 1800 1984 2288  1050 1051
1054 1096
        # 1680x1050 @ 85.00 Hz (GTF) hsync: 93.76 kHz; pclk: 214.51 MHz
        Modeline "1680x1050"  214.51  1680 1800 1984 2288  1050 1051
1054 1103
        # 1680x1050 @ 100.00 Hz (GTF) hsync: 111.20 kHz; pclk: 256.20 MHz
        Modeline "1680x1050"  256.20  1680 1808 1992 2304  1050 1051
1054 1112
        # 1920x1200 @ 75.00 Hz (GTF) hsync: 93.97 kHz; pclk: 246.59 MHz
        Modeline "1920x1200"  246.59  1920 2064 2272 2624  1200 1201
1204 1253
        # 1920x1200 @ 85.00 Hz (GTF) hsync: 107.10 kHz; pclk: 282.74 MHz
        Modeline "1920x1200"  282.74  1920 2072 2280 2640  1200 1201
1204 1260
        # 1920x1200 @ 100.00 Hz (GTF) hsync: 127.10 kHz; pclk: 337.58 MHz
        Modeline "1920x1200"  337.58  1920 2072 2288 2656  1200 1201
1204 1271
EndSection

and change the Section "Monitor" block to contain the line:

UseModes     "16:10"

Then in the Display section ensure you have the desired 1680x1050 mode
listed.

Does this provide the desired resolution filling the panel?
Comment 5 Jared Burns 2004-10-29 13:45:17 EDT
Yep. That gives me the resolution to match the monitor.
Comment 6 Matthew Miller 2006-07-10 17:24:16 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 7 Adam Jackson 2006-08-18 21:47:19 EDT
Does this work any better in xorg-x11-server 1.1.1-24 or later?
Comment 8 John Thacker 2006-10-30 11:25:09 EST
Closing per lack of response to previous request for information.
This bug was originally filed against a much earlier version of Fedora
Core, and significant changes have taken place since the last version
for which this bug is confirmed.

Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

Note You need to log in before you can comment on or make changes to this bug.